(require 'i18n-man)

(setq i18n-manual-program "jman")
(setq i18n-Man-heading-regexp "^\\([^ \t\n_][^0-9\n]+\\)$")
(setq i18n-Man-see-also-regexp
      (concat "Ϣ\\|" i18n-Man-see-also-regexp))
(setq i18n-Man-first-heading-regexp
      (concat "^[ \t]*̾$\\|" i18n-Man-first-heading-regexp))

(setq i18n-Man-cooked-hook 'i18n-Man-ja-depend-fontify-manpage)
(setq i18n-Man-process-started-hook 'i18n-Man-ja-depend-process-coding-system)

(defun i18n-Man-ja-depend-fontify-manpage ()
  (goto-char (point-min))
  (while (re-search-forward "\\(.\\)\\(\b+\\1\\)+" nil t)
    (replace-match "\\1")
    (put-text-property (- (point) 3) (point) 'face i18n-Man-overstrike-face)))

(require 'cl)
(defun i18n-Man-ja-depend-process-coding-system (process)
  (if (featurep 'mule)
      (case emacs-major-version
	(20 ;; XEmacs or Emacs-20.x (Mule-2.4, 3.0 or later)
	 (if (string-match "XEmacs" emacs-version)
	     (progn (set-process-input-coding-system process 'euc-japan)
		    (set-process-input-coding-system process 'euc-japan))
	   (if (and (boundp 'mule-version)
		    (string-match "2.4" mule-version))
	       ;; Mule-2.4
	       (set-process-coding-system process 'coding-system-euc-japan 'coding-system-euc-japan)
	     ;; Mule-3.0 or later
	     (set-process-coding-system process 'euc-japan 'euc-japan))))
	(19 ;; Emacs-19.x (Mule-2.3)
	 (set-process-coding-system process '*euc-japan* '*euc-japan*)))))

;;;###autoload
(defalias 'jman 'i18n-man)

(provide 'jman)

;;; i18n-man-ja.el ends here
